*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
body{
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    background: #222;
}
.bulb{
    position: relative;
    width: 80px;
    height: 80px;
    background: #444;
    border-radius: 50%;
    z-index: 2;
}
.bulb::before{
    content: "";
    position: absolute;
    width: 35px;
    height: 80px;
    background: #444;
    left: 22.5px;
    top: -50px;
    border-top: 30px solid black;
    border-radius: 10px;
}
.bulb span:nth-child(1){
    position: absolute;
    display: block;
    width: 30px;
    height: 30px;
    background: transparent;
    box-shadow: 20px 20px 0 10px #444;
    top: -16px;
    left: -4px;
    transform: rotate(342deg);
    border-bottom-right-radius: 40px;

}
.bulb span:nth-child(2){
    position: absolute;
    display: block;
    width: 30px;
    height: 30px;
    background: transparent;
    box-shadow: -20px 20px 0 10px #444;
    top: 16px;
    right: -4px;
    transform: rotate(19deg);
    border-bottom-left-radius: 40px;
    /* background-color: red; */
}
.wire{
    position: absolute;
    background: #000;
    height: 540px;
    width: 4px;
    /* left: calc(50% -2px); */
    left: 50%;
    bottom: 50%;
    z-index: 1;
}
.switch{
    width: 80px;
    height: 80px;
    position: absolute;
    background: linear-gradient( #eee, #ccc, #eee);
    right: 70px;
    bottom: 70px;
    border: 3px solid #000;
    border-radius: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.switch .button{
    position: relative;
    width: 25px;
    height: 45px;
    background: linear-gradient(#777, #fff, #fff);
    border-radius: 6px;
    border: 2px solid #000;
    cursor: pointer;
}
.switch .button::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 85%;
    background: linear-gradient(#fff, #fff);
    border-radius: 4px;
}
.on .switch .button::before{
    top: 15%;
}
body.on{
    background: radial-gradient(#555, #111);
}
body.on .bulb::after{
    display: none;
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 120px;
    height: 120px;
    background: #fff;
    border-radius: 50%;
    filter: blur(40px);
    animation: glow .9s infinite ease-in-out;
}
body.on .bulb{
    background: #fff;
    box-shadow: 0 0 50px #fff, 0 0 100px #fff , 0 0 150px #fff, 0 0 200px;
}
body.on .bulb span:nth-child(1){
    box-shadow: 20px 20px 0 10px #fff;
}
body.on .bulb span:nth-child(2){
    box-shadow: -20px 20px 0 10px #fff;
}
body.on .bulb::before{
    background: #fff;
}
.light{

}
@keyframes glow {
    0%{filter: blur(10px); opacity: 0.7;}
    50%{filter: blur(15px); opacity: 1;}
    100%{filter: blur(10px); opacity: 0.7;}
}